Package x2go :: Module pulseaudio :: Class X2GoPulseAudio

[frames] | no frames]

# Class X2GoPulseAudio

source code

            object --+
                     |
    threading._Verbose --+
                         |
          threading.Thread --+
                             |
                            X2GoPulseAudio

This class controls the Pulse Audio daemon.

Instance Methods

__init__(self, path=None, client_instance=None, logger=None, loglevel=56) Initialize a Pulse Audio daemon instance. | source code

run(self) This method is called once the `X2GoPulseAudio.start()` method has been called. | source code

stop_thread(self) Tear down a running Pulseaudio daemon. | source code

Inherited from `threading.Thread`: `__repr__`, `getName`, `isAlive`, `isDaemon`, `is_alive`, `join`, `setDaemon`, `setName`, `start` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `threading.Thread`: `daemon`, `ident`, `name` Inherited from `object`: `__class__`

Method Details

### __init__(self, path=None, client_instance=None, logger=None, loglevel=56)
(Constructor)

source code

Initialize a Pulse Audio daemon instance.

Parameters:
  - `path` (`str`) - full path to pulseaudio.exe
  - `client_instance` (X2GoClient instance) - the calling X2GoClient instance
  - `logger` (`obj`) - you can pass an X2GoLogger object to the X2GoClientXConfig constructor
  - `loglevel` (`int`) - if no X2GoLogger object has been supplied a new one will be constructed with the given loglevel
Raises:
  - `OSNotSupportedException` - on non-Windows platforms Python X2Go presumes that pulseaudio is already launched
Overrides: object.__init__

### run(self)

source code

This method is called once the `X2GoPulseAudio.start()` method has been called. To tear down the Pulseaudio daemon call the X2GoPulseAudio.stop_thread() method.

Overrides: threading.Thread.run